[youtubei.js](../../../../README.md) / [Misc](../README.md) / CommandContext

# Class: CommandContext

Defined in: [src/parser/classes/misc/CommandContext.ts:4](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/CommandContext.ts#L4)

## Constructors

### Constructor

> **new CommandContext**(`data`): `CommandContext`

Defined in: [src/parser/classes/misc/CommandContext.ts:16](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/CommandContext.ts#L16)

#### Parameters

##### data

[`RawNode`](../../../../type-aliases/RawNode.md)

#### Returns

`CommandContext`

## Properties

### on\_first\_visible?

> `optional` **on\_first\_visible**: [`NavigationEndpoint`](../../YTNodes/classes/NavigationEndpoint.md)

Defined in: [src/parser/classes/misc/CommandContext.ts:13](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/CommandContext.ts#L13)

***

### on\_focus?

> `optional` **on\_focus**: [`NavigationEndpoint`](../../YTNodes/classes/NavigationEndpoint.md)

Defined in: [src/parser/classes/misc/CommandContext.ts:5](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/CommandContext.ts#L5)

***

### on\_hidden?

> `optional` **on\_hidden**: [`NavigationEndpoint`](../../YTNodes/classes/NavigationEndpoint.md)

Defined in: [src/parser/classes/misc/CommandContext.ts:6](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/CommandContext.ts#L6)

***

### on\_hover?

> `optional` **on\_hover**: [`NavigationEndpoint`](../../YTNodes/classes/NavigationEndpoint.md)

Defined in: [src/parser/classes/misc/CommandContext.ts:14](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/CommandContext.ts#L14)

***

### on\_long\_press?

> `optional` **on\_long\_press**: [`NavigationEndpoint`](../../YTNodes/classes/NavigationEndpoint.md)

Defined in: [src/parser/classes/misc/CommandContext.ts:9](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/CommandContext.ts#L9)

***

### on\_tap?

> `optional` **on\_tap**: [`NavigationEndpoint`](../../YTNodes/classes/NavigationEndpoint.md)

Defined in: [src/parser/classes/misc/CommandContext.ts:10](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/CommandContext.ts#L10)

***

### on\_touch\_end?

> `optional` **on\_touch\_end**: [`NavigationEndpoint`](../../YTNodes/classes/NavigationEndpoint.md)

Defined in: [src/parser/classes/misc/CommandContext.ts:7](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/CommandContext.ts#L7)

***

### on\_touch\_move?

> `optional` **on\_touch\_move**: [`NavigationEndpoint`](../../YTNodes/classes/NavigationEndpoint.md)

Defined in: [src/parser/classes/misc/CommandContext.ts:8](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/CommandContext.ts#L8)

***

### on\_touch\_start?

> `optional` **on\_touch\_start**: [`NavigationEndpoint`](../../YTNodes/classes/NavigationEndpoint.md)

Defined in: [src/parser/classes/misc/CommandContext.ts:11](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/CommandContext.ts#L11)

***

### on\_visible?

> `optional` **on\_visible**: [`NavigationEndpoint`](../../YTNodes/classes/NavigationEndpoint.md)

Defined in: [src/parser/classes/misc/CommandContext.ts:12](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/CommandContext.ts#L12)
